function yoh_aoslos2orbperiod, aoslosfile, reference_time=reference_time 
; 
;
;+
;   Name: yoh_aoslos2orbperiod
;
;   Purpose: return orbital period from aoslos file (minutes) 
;
;   History:
;      5-Dec-2002 - S.L.Freeland - fix mk_fem (after 11 years)
;                   to use actual orbital period for aoslos epoch
;     13-Dec-2002 - S.L.Freeland - replace rd_tfile by spawn 'head ...'
;                   (files too large when changed FEM -> 1 second res)
;
;-
if not file_exist(aoslosfile) then begin 
   box_message,'Need to supply aoslos file name...'
   return,-1
endif

spawn,['head','-50',aoslosfile],header,/noshell
header=strupcase(header)

t0=strtrim(strextract(header(0)+'*','AT ','*'),2)
t0=str_replace(str_replace(t0,': ',':'),'/ ','/')
reference_time=anytim(t0,/yohkoh)

cheader=strcompress(header,/remove)
ssdur=where(strpos(cheader,',MEANMOTION=') ne -1,mmcnt)
if mmcnt eq 0 then begin 
   box_message,'Problem parsing AOSLOS header...'
   return,-1
endif


retval=360./float(strextract(cheader(ssdur),'MEANMOTION=','DEG'))

return,retval
end

